#
# spec file for package caja-actions
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           caja-actions
Version:        1.8.1
Release:        2.4
Summary:        Caja context menu customisation plugin
License:        GPL-2.0+ and LGPL-2.0+
Group:          System/GUI/Other
Url:            https://github.com/raveit65/caja-actions
Source:         https://github.com/raveit65/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  mate-common >= 1.6.0
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gio-2.0) >= 2.30
BuildRequires:  pkgconfig(glib-2.0) >= 2.24.0
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.24.0
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libcaja-extension) >= 1.4.0
BuildRequires:  pkgconfig(libgtop-2.0) >= 2.23.1
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6
BuildRequires:  pkgconfig(sm) >= 1.0
BuildRequires:  pkgconfig(unique-1.0)
BuildRequires:  pkgconfig(uuid)

%description
This extension provides an easy way to configure applications to be
launched on files selected in Caja interface.

%package -n caja-extension-actions
Summary:        Caja context menu customisation plugin
Group:          System/GUI/Other
Requires:       caja >= 1.6.0
Recommends:     caja-extension-actions-lang

%description -n caja-extension-actions
This extension provides an easy way to configure applications to be
launched on files selected in Caja interface.

%lang_package -n caja-extension-actions

%package -n caja-extension-actions-devel
Summary:        Development files of caja-actions
Group:          Development/Libraries/C and C++
Requires:       caja-extension-actions = %{version}

%description -n caja-extension-actions-devel
The caja-actions development package includes the header files,
libraries necessary for development with caja-actions.

%package -n caja-extension-actions-doc
Summary:        Documentation for caja-actions
Group:          Documentation/Other
BuildArch:      noarch

%description  -n caja-extension-actions-doc
This extension provides an easy way to configure applications to be
launched on files selected in Caja interface.

This package contains documentation for caja-actions.

%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure \
  --disable-static   \
  --with-gtk=2       \
  --enable-deprecate
make %{?_smp_mflags}

%install
%make_install

mkdir -p %{buildroot}%{_docdir}/
mv -f %{buildroot}%{_datadir}/doc/%{name}-%{version} \
  %{buildroot}%{_docdir}/caja-extension-actions-doc/
rm -f %{buildroot}%{_docdir}/caja-extension-actions-doc/INSTALL

find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}%{_datadir}/
%find_lang %{name}

%post -n caja-extension-actions
%desktop_database_post
%icon_theme_cache_post

%postun -n caja-extension-actions
%desktop_database_postun
%icon_theme_cache_postun

%files -n caja-extension-actions
%defattr(-,root,root)
%doc AUTHORS COPYING* NEWS README
%{_bindir}/%{name}-*
%{_libexecdir}/%{name}/
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/cact.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_libdir}/caja/extensions-2.0/lib%{name}-*.so

%files -n caja-extension-actions-lang -f %{name}.lang
%defattr(-,root,root)

%files -n caja-extension-actions-doc
%defattr(-,root,root)
%{_docdir}/caja-extension-actions-doc/
%{_datadir}/help/*/%{name}-config-tool/

%files -n caja-extension-actions-devel
%defattr(-,root,root)
%{_includedir}/%{name}/
%{_datadir}/gtk-doc/*/%{name}*/

%changelog
* Sat Jun 11 2016 sor.alexei@meowr.ru
- Initial package.
